# Math Functions

{% hint style="info" %}
PantherFlow is in open beta starting with Panther version 1.110, and is available to all customers. Please share any bug reports and feature requests with your Panther support team.
{% endhint %}

## `math.abs()`

`math.abs(value: number) -> number`

Returns the absolute value of a numeric expression.

**Example:**

```kusto
panther_logs.public.aws_alb
| project net_bytes=math.abs(reveivedBytes-sentBytes)
```

## `math.ceil()`

`math.ceil(value: number [, precision: int]) -> number`

Returns the `value` rounded up to the specified `precision` number of decimal places.

**Example:**

```kusto
panther_logs.public.aws_alb
| summarize avg=agg.avg(receivedBytes) by ip_address
| project avg=math.ceil(avg, 2)
```

## `math.floor()`

`math.floor(value: number [, precision: int]) -> number`

Returns the `value` rounded down to the specified `precision` number of decimal places.

**Example:**

```kusto
panther_logs.public.aws_alb
| summarize avg=agg.avg(receivedBytes) by ip_address
| project avg=math.floor(avg, 2)
```

## `math.round()`

`math.round(value: number [, precision: int]) -> float`

Returns the value rounded to the specified precision.

**Example:**

```kusto
panther_logs.public.aws_alb
| summarize avg=agg.avg(receivedBytes) by ip_address
| project avg=math.round(avg, 2)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/pantherflow/functions/math.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
